# Type Alias PluginFunction

type PluginFunction = {
arguments?: string[] | FieldLike[];
isAsync?: boolean;
returns?: string;
run: (...arg0: any[]) => any;
}

- Defined in base_types.ts:370

##### Index

### Properties

arguments?
isAsync?
returns?
run

## Properties

### `Optional` arguments

arguments?: string[] | FieldLike[]

- Defined in base_types.ts:373

### `Optional` isAsync

isAsync?: boolean

- Defined in base_types.ts:374

### `Optional` returns

returns?: string

- Defined in base_types.ts:372

### run

run: (...arg0: any[]) => any

- Defined in base_types.ts:371